<!DOCTYPE html>
<html>
    <title>To find if odd or even</title>
    <head>
        <style>
            .main{
                margin-top: 10%;
                width: 50%;
                height: 400px;
                background-color:cadetblue;
                border: 3px solid black;
                border-radius: 10px;
            }
            #input{
                width: 50%;
                height:70px;
                margin-top: 20px;
                border:2px solid black;
                border-radius: 5px;
                font-size: 20px;
                text-align: center;
                font-family: sans-serif;
            }
            body{
                background-color: darkcyan;
            }
            #submit{
                width: 20%;
                height: 30px;
                background-color: darkgreen;
                color: aliceblue;
                border: 2px solid black;
                font-size: 15px;

            }
            p{
                padding: 60px;
                font-family: sans-serif;
                font-size: 25px;
            }

        </style>
    </head>
    <body>
        <center>
        <div class="main">
            <input  id="input" placeholder="Enter a number"><br><br>
            <input type="button" id="submit" value="Check" onclick="validate()">
            <p id="result"></p>
        </div>
        </center>
        <script>
            function validate()
            {
                let input =document.getElementById("input").value
                if(input%2==0)
                {
                    document.getElementById("result").innerHTML="Number is Even";
                }
                else{
                    document.getElementById("result").innerHTML="Number is Odd";
                }
            }
        </script>
    </body>
</html>